| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::img_hash::ImgHashBase Class Reference
The module brings implementations of different image hashing algorithms.

The base class for image hash algorithms. More...

`#include "img_hash_base.hpp"`

Inheritance diagram for cv::img_hash::ImgHashBase:

## Public Member Functions
| ~ImgHashBase ()
double | compare (cv::InputArray hashOne, cv::InputArray hashTwo) const
| Compare the hash value between inOne and inTwo. More...
void | compute (cv::InputArray inputArr, cv::OutputArray outputArr)
| Computes hash of the input image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Protected Member Functions
| ImgHashBase ()
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Protected Attributes
Ptr< ImgHashImpl > | pImpl

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Detailed Description

The base class for image hash algorithms.

## Constructor & Destructor Documentation

## § ~ImgHashBase()

cv::img_hash::ImgHashBase::~ImgHashBase | ( |  | ) |

## § ImgHashBase()

cv::img_hash::ImgHashBase::ImgHashBase | ( |  | ) |
| protected

## Member Function Documentation

## § compare()

double cv::img_hash::ImgHashBase::compare | ( | cv::InputArray | hashOne,
|  | cv::InputArray | hashTwo
| ) |  | const

Python:
| retval | = | cv.img_hash_ImgHashBase.compare( | hashOne, hashTwo | )

Compare the hash value between inOne and inTwo.

Parameters

  hashOne | Hash value one
  hashTwo | Hash value two

Returns
  value indicate similarity between inOne and inTwo, the meaning of the value vary from algorithms to algorithms

## § compute()

void cv::img_hash::ImgHashBase::compute | ( | cv::InputArray | inputArr,
|  | cv::OutputArray | outputArr
| ) |  |

Python:
| outputArr | = | cv.img_hash_ImgHashBase.compute( | inputArr[, outputArr] | )

Computes hash of the input image.

Parameters

  inputArr | input image want to compute hash value
  outputArr | hash of the image

## Member Data Documentation

## § pImpl

Ptr<ImgHashImpl> cv::img_hash::ImgHashBase::pImpl
| protected

The documentation for this class was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/img_hash/include/opencv2/img_hash/img_hash_base.hpp